| GNSS data to OSM format processor and track finder author: Jaroslav Pizur

- Main Page
- Packages
- Files

- Packages
- Package Functions

Functions
refactor_functions Namespace Reference

Functions created with the goal to refactor the code, make it more readable and understandable. More...

## Functions
def | json_file_dumper (variable_name, filepath)
def | json_file_loader (filepath)
def | load_input_file (input_file_path)
def | load_dependencies ()
def | get_input_crossroad_representation (coords_input, nodes_map_crossroad, basemap_crossroads)
def | get_input_fine_representation (basemap_without_points, nodes_input_crossroad, coords_input)
def | track_identification_dependencies (coords_input, nodes_input_fine)
def | save_files (files_dict, parent_path)
def | delete_files (files_dict, parent_path)
def | get_basemap_track (basemap_input_fine, nodes_track)
def | get_basemap_tracks (basemap_in, nodes_1, nodes_2)
def | verification_nodes (script_output_nodes, nodes_map_crossroad, basemap_crossroads, basemap_without_points)
def | run ()
| Testing part #######################################################. More...

## Detailed Description

Functions created with the goal to refactor the code, make it more readable and understandable.

## Function Documentation

## ◆ delete_files()

def refactor_functions.delete_files | ( |  | files_dict,
|  |  | parent_path
| ) |  |

## ◆ get_basemap_track()

def refactor_functions.get_basemap_track | ( |  | basemap_input_fine,
|  |  | nodes_track
| ) |  |

## ◆ get_basemap_tracks()

def refactor_functions.get_basemap_tracks | ( |  | basemap_in,
|  |  | nodes_1,
|  |  | nodes_2
| ) |  |

## ◆ get_input_crossroad_representation()

def refactor_functions.get_input_crossroad_representation | ( |  | coords_input,
|  |  | nodes_map_crossroad,
|  |  | basemap_crossroads
| ) |  |

## ◆ get_input_fine_representation()

def refactor_functions.get_input_fine_representation | ( |  | basemap_without_points,
|  |  | nodes_input_crossroad,
|  |  | coords_input
| ) |  |

## ◆ json_file_dumper()

def refactor_functions.json_file_dumper | ( |  | variable_name,
|  |  | filepath
| ) |  |

## ◆ json_file_loader()

def refactor_functions.json_file_loader | ( |  | filepath | ) |

## ◆ load_dependencies()

def refactor_functions.load_dependencies | ( |  | ) |

## ◆ load_input_file()

def refactor_functions.load_input_file | ( |  | input_file_path | ) |

## ◆ run()

def refactor_functions.run | ( |  | ) |

Testing part #######################################################.

## ◆ save_files()

def refactor_functions.save_files | ( |  | files_dict,
|  |  | parent_path
| ) |  |

## ◆ track_identification_dependencies()

def refactor_functions.track_identification_dependencies | ( |  | coords_input,
|  |  | nodes_input_fine
| ) |  |

## ◆ verification_nodes()

def refactor_functions.verification_nodes | ( |  | script_output_nodes,
|  |  | nodes_map_crossroad,
|  |  | basemap_crossroads,
|  |  | basemap_without_points
| ) |  |